--
-- dim_STAT
--

drop table dim_STAT;
drop table dim_LOG;
drop table dim_TASK;

create table dim_STAT (
  ID       int not null,
  Title    char(40) not null,
  dt_start int,
  Timeout  int,
  State    int
);



create table dim_LOG (
  ID       int not null,
  Sno      int not null,
  dt_stamp int,
  Message  char(40) not null
);

create index dim_LOG_ID  on dim_LOG( ID );
create index dim_LOG_Sno on dim_LOG( Sno );
create index dim_LOG_dt  on dim_LOG( dt_stamp );

alter table dim_LOG lock mode(row);


create table dim_TASK (
  ID       int not null,
  dt_begin int,
  dt_end   int,
  Name     char(40) not null
);

create index dim_TASK_ID     on dim_TASK( ID );
create index dim_TASK_begin  on dim_TASK( dt_begin );
create index dim_TASK_end    on dim_TASK( dt_end );

alter table dim_TASK lock mode(row);

