--
-- dim_anySTAT
--

drop table dim_anySTAT;
drop table dim_anySTAT_cols;

create table dim_anySTAT (
  statname       varchar(16) not null,
  multi          int not null,
  useinpll       int not null,
  sep_patt       varchar(48) not null,
  ignore_patt    varchar(48) not null,
  shell_cmd      varchar(64) not null
);

create unique index dim_anySTAT_tab on dim_anySTAT( statname );

create table dim_anySTAT_cols (
  statname       varchar(16) not null,
  colname        varchar(16) not null,
  dtype          int not null,
  linepos        int not null,
  useinpll       int not null
);

create unique index dim_anySTAT_coltab on dim_anySTAT_cols( statname, colname );

